from dash import Output

STRATEGY_OUTPUTS = [
    Output('strategy-metrics', 'children', allow_duplicate=True),
    Output('equity-curve', 'figure', allow_duplicate=True),
    Output('underwater-plot', 'figure', allow_duplicate=True),
    Output('yearly-returns-plot', 'figure', allow_duplicate=True),
    Output('strategy-header', 'children', allow_duplicate=True),
    Output('date-range-picker', 'start_date', allow_duplicate=True),
    Output('date-range-picker', 'end_date', allow_duplicate=True),
    Output('selected-strategies', 'data', allow_duplicate=True),
    Output('strategy-clear-selection', 'style', allow_duplicate=True),
    Output('selected-count', 'children', allow_duplicate=True)
]

def get_base_style(mode):
    return {
        'marginLeft': '10px',
        'padding': '5px 10px',
        'backgroundColor': '#dc3545',
        'color': 'white',
        'border': 'none',
        'borderRadius': '4px',
        'cursor': 'pointer',
        'display': 'block' if mode == 'aggregative' else 'none'
    }